# std::atomic_ref<T>::atomic_ref

From cppreference.com
< cpp‎ | atomic‎ | atomic ref

explicit atomic_ref( T& obj ); | (1) | (since C++20)
atomic_ref( const atomic_ref& ref ) noexcept; | (2) | (since C++11)

Constructs a new `atomic_ref` object.

1) Constructs an `atomic_ref` object referencing the object `obj`. The behavior is undefined if `obj` is not aligned to `required_alignment`.
2) Constructs an `atomic_ref` object referencing the object referenced by `ref`.

### Parameters

obj | - | object to reference
ref | - | another `atomic_ref` object to copy from

Retrieved from "https://en.cppreference.com/mwiki/index.php?title=cpp/atomic/atomic_ref/atomic_ref&oldid=107000"